Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » Installation of Xtext Complete SDK 2.11 or 2.12 into Eclipse Kepler SR2(Installation of Xtext Complete SDK 2.11 or 2.12 into Eclipse Kepler SR2 is not possible)
Installation of Xtext Complete SDK 2.11 or 2.12 into Eclipse Kepler SR2 [message #1765695] Tue, 13 June 2017 13:28 Go to next message
Adrian Pollak is currently offline Adrian PollakFriend
Messages: 27
Registered: August 2013
Junior Member
Hello,

I'm trying to install the Xtext Complete SDK into Eclipse Kepler SR2 but I get the following error.

Does anybody know the reason for this problem?

It is only possible to install Xtext Version 2.10.0.v201605250459.

Regards

Adrian


Steps I performed in Eclipse:

Help -> Install New Software...
Work with: http://download.eclipse.org/modeling/tmf/xtext/updates/composite/releases/
Select: Xtext Complete SDK 2.12.0.v20170519-1412

Message apperas while installation: Cannot perform operations. Computing alternate solutions,...

"Install Remediation Page" appers

Select: "Show original error and build my own solution"

Details:

Cannot complete the install because one or more required items could not be found.
Software being installed: Xtext Complete SDK 2.12.0.v20170519-1412 (org.eclipse.xtext.sdk.feature.group 2.12.0.v20170519-1412)
Missing requirement: Xtext Testing Infrastructure 2.12.0.v20170518-0959 (org.eclipse.xtext.testing 2.12.0.v20170518-0959) requires 'bundle org.junit 4.12.0' but it could not be found
Cannot satisfy dependency:
From: Xtend IDE 2.12.0.v20170519-1412 (org.eclipse.xtend.sdk.feature.group 2.12.0.v20170519-1412)
To: org.eclipse.xtext.testing [2.12.0.v20170518-0959]
Cannot satisfy dependency:
From: Xtext Complete SDK 2.12.0.v20170519-1412 (org.eclipse.xtext.sdk.feature.group 2.12.0.v20170519-1412)
To: org.eclipse.xtend.sdk.feature.group [2.12.0.v20170519-1412]


There are similar problems with the Version 2.11.0.v20170201-0242

Details:

Cannot complete the install because one or more required items could not be found.
Software being installed: Xtext Complete SDK 2.11.0.v20170201-0242 (org.eclipse.xtext.sdk.feature.group 2.11.0.v20170201-0242)
Missing requirement: Xtext Testing Infrastructure 2.11.0.v20170130-0808 (org.eclipse.xtext.testing 2.11.0.v20170130-0808) requires 'bundle org.junit 4.12.0' but it could not be found
Cannot satisfy dependency:
From: Xtext Complete SDK 2.11.0.v20170201-0242 (org.eclipse.xtext.sdk.feature.group 2.11.0.v20170201-0242)
To: org.eclipse.xtext.testing [2.11.0.v20170130-0808]

[Updated on: Tue, 13 June 2017 13:37]

Report message to a moderator

Re: Installation of Xtext Complete SDK 2.11 or 2.12 into Eclipse Kepler SR2 [message #1765699 is a reply to message #1765695] Tue, 13 June 2017 13:55 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 14067
Registered: July 2009
Senior Member
xtext target platform requires luna. ntl

Missing requirement: Xtext Testing Infrastructure 2.12.0.v20170518-0959 (org.eclipse.xtext.testing 2.12.0.v20170518-0959) requires 'bundle org.junit 4.12.0' but it could not be found

might be the issue

kepler has 4.11 only

=> maybe you need to install 4.12 separately from orion


Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/it-services/methods-and-tools/xtext
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Re: Installation of Xtext Complete SDK 2.11 or 2.12 into Eclipse Kepler SR2 [message #1765703 is a reply to message #1765699] Tue, 13 June 2017 14:24 Go to previous messageGo to next message
Adrian Pollak is currently offline Adrian PollakFriend
Messages: 27
Registered: August 2013
Junior Member
I tried it with Eclipse Mars. There were no problems.
Finally, I will use Neon.

Thank you for your help!
Re: Installation of Xtext Complete SDK 2.11 or 2.12 into Eclipse Kepler SR2 [message #1765708 is a reply to message #1765703] Tue, 13 June 2017 15:48 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 14067
Registered: July 2009
Senior Member
You know oxygen is about to release ...

Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/it-services/methods-and-tools/xtext
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Re: Installation of Xtext Complete SDK 2.11 or 2.12 into Eclipse Kepler SR2 [message #1765869 is a reply to message #1765708] Wed, 14 June 2017 06:14 Go to previous messageGo to next message
Adrian Pollak is currently offline Adrian PollakFriend
Messages: 27
Registered: August 2013
Junior Member
Yes, it will be available on the 28th.

By the way, I get the following error by installing Xtext 2.12. in Neon.
After Eclipse restart and a reinstall it worked then.

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Artifact not found: http://download.eclipse.org/modeling/tmf/xtext/updates/releases/2.12.0/plugins/org.eclipse.xtend.core.source_2.12.0.v20170519-0902.jar.
http://download.eclipse.org/modeling/tmf/xtext/updates/releases/2.12.0/plugins/org.eclipse.xtend.core.source_2.12.0.v20170519-0902.jar
Artifact not found: http://download.eclipse.org/modeling/tmf/xtext/updates/releases/2.12.0/plugins/org.eclipse.xtext.doc_2.12.0.v20170519-0809.jar.pack.gz.
http://download.eclipse.org/modeling/tmf/xtext/updates/releases/2.12.0/plugins/org.eclipse.xtext.doc_2.12.0.v20170519-0809.jar.pack.gz
Artifact not found: http://download.eclipse.org/modeling/tmf/xtext/updates/releases/2.12.0/plugins/org.eclipse.xtext.xbase_2.12.0.v20170519-0752.jar.pack.gz.
http://download.eclipse.org/modeling/tmf/xtext/updates/releases/2.12.0/plugins/org.eclipse.xtext.xbase_2.12.0.v20170519-0752.jar.pack.gz
Re: Installation of Xtext Complete SDK 2.11 or 2.12 into Eclipse Kepler SR2 [message #1765871 is a reply to message #1765869] Wed, 14 June 2017 06:42 Go to previous message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 14067
Registered: July 2009
Senior Member
hi it might happen that the damn eclipse server hickup from time to time. you may comment on https://bugs.eclipse.org/bugs/show_bug.cgi?id=515596

Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/it-services/methods-and-tools/xtext
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Previous Topic:Preferences -> Templates shows contexts for Xtext, not my DSL
Next Topic:Return to the line
Goto Forum:
  


Current Time: Fri Sep 24 18:22:37 GMT 2021

Powered by FUDForum. Page generated in 0.02467 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top